import { InlineTranslation } from "@smallstack/i18n-shared";
export interface Navigation {
    type: "item" | "divider" | "main";
    label?: string | InlineTranslation;
    icon?: string;
    badge?: number;
    index?: number;
    visible?: boolean;
    path?: string;
    tags?: string[];
    requiredPermission?: string;
    children?: Navigation[];
    meta?: {
        [key: string]: any;
    };
}
